package com.inspect.metadata.patrolpointmnt.domain;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class BasedataPatrolType extends BaseEntity {
    private static final long serialVersionUID = 1L;
    private Long patrolTypeId;
    @Excel(
            name = "父设备类型id"
    )
    private Long parentId;
    @Excel(
            name = "巡视类型名称"
    )
    private String patrolTypeName;
    @Excel(
            name = "巡视类型编码"
    )
    private String patrolTypeCode;
    private String delFlag;
    @Excel(
            name = "层级"
    )
    private Long patrolTypeLevel;
    @Excel(
            name = "备注"
    )
    private String patrolTypeRemark;

    public void setPatrolTypeId(Long patrolTypeId) {
        this.patrolTypeId = patrolTypeId;
    }

    public Long getPatrolTypeId() {
        return this.patrolTypeId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getParentId() {
        return this.parentId;
    }

    public void setPatrolTypeName(String patrolTypeName) {
        this.patrolTypeName = patrolTypeName;
    }

    public String getPatrolTypeName() {
        return this.patrolTypeName;
    }

    public void setPatrolTypeCode(String patrolTypeCode) {
        this.patrolTypeCode = patrolTypeCode;
    }

    public String getPatrolTypeCode() {
        return this.patrolTypeCode;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setPatrolTypeLevel(Long patrolTypeLevel) {
        this.patrolTypeLevel = patrolTypeLevel;
    }

    public Long getPatrolTypeLevel() {
        return this.patrolTypeLevel;
    }

    public void setPatrolTypeRemark(String patrolTypeRemark) {
        this.patrolTypeRemark = patrolTypeRemark;
    }

    public String getPatrolTypeRemark() {
        return this.patrolTypeRemark;
    }

    public String toString() {
        return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("patrolTypeId", this.getPatrolTypeId()).append("parentId", this.getParentId()).append("patrolTypeName", this.getPatrolTypeName()).append("patrolTypeCode", this.getPatrolTypeCode()).append("delFlag", this.getDelFlag()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("patrolTypeLevel", this.getPatrolTypeLevel()).append("patrolTypeRemark", this.getPatrolTypeRemark()).toString();
    }
}
